// lcd.h

/*********************************************************************
*
* Description of the LCD glass
*
*********************************************************************/
#ifndef __LCD_H
#define __LCD_H
#include "seven_seg.h"
#include "GenericTypeDefs.h"

typedef union
{
  UINT16    val;
  struct
  {
    unsigned    digit0 : 6;
    unsigned    digit1 : 6;
    unsigned    digit2 : 6;
    unsigned    digit3 : 6;
  };
} BCD_TYPE;

void lcd_init(void);
BOOL lcd_display_digits(BCD_TYPE);
void lcd_display_on(void);
void lcd_display_off(void);

/*

LCD VIM400 Varitronix
  a         a         a         a
f   b     f   b     f   b     f   b
  g         g         g         g
e   c     e   c     e   c     e   c
  d   1p    d   2p    d   3p    d

  1         2         3         4    VIM digit nbr
  4         3         2         1    this software digit nbr

LCD pin/descr. PIC pin/descr.
 4 1BCP        23 SEG4
 5 2BCP        24 SEG5
 6 3BCP        25 SEG21
 7 4BC         26 SEG22
 8 COM3        21 COM2
               
11 COM1        14 COM0
12 4AGD         1 SEG8
13 4FE          2 SEG17
14 3AGD         3 SEG18
15 3FE          4 SEG19
16 2AGD         5 SEG20
17 2FE         19 SEG12
18 1AGD        20 SEG7
19 1FE         22 SEG15
20 COM2        15 COM1

com-123
pic-012

*/

// Glass pin 4
#define B4  SEG4COM0
#define C4  SEG4COM1
#define DP4 SEG4COM2

// Glass pin 5
#define B3  SEG5COM0
#define C3  SEG5COM1
#define DP3 SEG5COM2

// Glass pin 6
#define B2  SEG21COM0
#define C2  SEG21COM1
#define DP2 SEG21COM2

// Glass pin 7
#define B1  SEG22COM0
#define C1  SEG22COM1

// Glass pin 12
#define A1  SEG8COM0
#define G1  SEG8COM1
#define D1  SEG8COM2

// Glass pin 13
#define F1  SEG17COM0
#define E1  SEG17COM1

// Glass pin 14
#define A2  SEG18COM0
#define G2  SEG18COM1
#define D2  SEG18COM2

// Glass pin 15
#define F2  SEG19COM0
#define E2  SEG19COM1

// Glass pin 16
#define A3  SEG20COM0
#define G3  SEG20COM1
#define D3  SEG20COM2

// Glass pin 17
#define F3  SEG12COM0
#define E3  SEG12COM1

// Glass pin 18
#define A4  SEG7COM0
#define G4  SEG7COM1
#define D4  SEG7COM2

// Glass pin 19
#define F4  SEG15COM0
#define E4  SEG15COM1



#endif // __LCD_H
